[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindRightMostSameKey

Find the node most right of a specified node with the same data

## Declaration

Source position: avl_tree.pp line 157

`public function TAVLTree.FindRightMostSameKey(`
`ANode: TAVLTreeNode`
`):TAVLTreeNode;`

## Arguments

`ANode` |  | The node to start the search from

## Function result

The treenode that was found, or nil if none found

## Description

FindRighMostSameKey finds the node most right from and with the same data as the specified node ANode.

## See also

TAVLTree.FindRightMost |  | Find the node most right to a specified node
TAVLTree.FindRightMostKey |  | Find the node most right to a specified key node
TAVLTree.FindLeftMostSameKey |  | Find the node most left to a specified node with the same data